[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomPanel.Alignment

Alignment - whether text is left or right justified, or centered.

## Declaration

Source position: extctrls.pp line 1159

`public property TCustomPanel.Alignment : TAlignment read FAlignment write SetAlignment default taCenter;`

## Description

Alignment is a TAlignment property that indicates how the text (or Caption) is aligned on the panel. The default value for the property is taCenter, and causes text to be aligned to the center of the panel. Changing the value in Alignment causes the Invalidate method to be called to repaint the control.

## See also

TControl.Invalidate |  | Causes a delayed Repaint of the control by marking its visible area of the control as invalid.
TCustomEdit.Alignment |  | The horizontal alignment for the text in the control (left, right, or centered).
TAlignment